Subject: Re[2]: [PATCH v2] Misc: ARM_CHAR_LCD: Permit the use of a driver on any ARM machine

From: [email-masked] (Alexander Shiyan)
Date: Sun, 18 Nov 2012 15:49:26 +0400

> > arm-charlcd driver can be used on any ARM machine, so dependency of
> > PLAT_VERSATILE is removed.
> 
> This needs a better explanation.  We know that it's used on ARMs
> reference boards.  Which other platforms will be making use of this
> driver?  Do these other boards implement the same interface, including
> the presence of the interrupt?
> 
> I'd need to re-read the specs, but I think that the interface this
> driver uses is provided by ARMs FPGA rather than the LCD module itself,
> and re-use of this driver would need that IP to be implemented elsewhere.
Additionally: But, you are right. This should be reviewed more accuracy for a
support for other machines, so please drop this patch.

---